Межсайтовый скриптинг в Profense Web Application Firewall

Дата публикации:
19.02.2009
Дата изменения:
19.02.2009
Всего просмотров:
2191
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0467
CVE-2009-0468
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Profense Web Application Firewall 2.x
Уязвимые версии: Profense Web Application Firewall 2.6.3 и более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "proxy" в сценарии proxy.html. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение.

URL производителя: www.armorlogic.com/profense_overview.html

Решение: Установите последнюю версию 2.6.4 с сайта производителя.

Ссылки: http://milw0rm.com/exploits/7919

или введите имя

CAPTCHA